%define name goobox
%define version 0.9.93
%define release %mkrel 9

Summary: CD player and ripper for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/goobox/%{name}-%{version}.tar.bz2
Source1: goobox-0.9.92-fr.po.bz2
Patch: goobox-0.9.93-libnotify.patch.bz2
License: GPL
Group: Sound
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gstreamer-plugins-devel
BuildRequires: libgnomeui2-devel >= 2.6
BuildRequires: libglade2.0-devel
BuildRequires: libnotify-devel >= 0.3.0
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
#if patched
BuildRequires: intltool
Requires: gstreamer-cdparanoia
Requires: gstreamer-vorbis
Requires: dbus-x11
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
Goobox is a CD player and ripper that always knowns just what to do.

%prep
%setup -q
%patch -p1
bzcat %SOURCE1 > po/fr.po

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=no
%find_lang %name --with-gnome
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Multimedia/Sound" title="Goobox" \
  longtitle="Play and extract CDs" startup_notify="true" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%_liconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32 data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 data/%name.png %buildroot%_miconsdir/%name.png

rm -rf %buildroot/var

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%post_install_gconf_schemas %name
%update_menus

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper
%clean_menus


%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_libdir/bonobo/servers/GNOME_Goobox.server
%_datadir/application-registry/goobox.applications
%_datadir/applications/goobox.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%dir %_datadir/omf/%name/
%_datadir/omf/%name/%name-C.omf
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.93-9mdv2007.0
- Rebuild with latest dbus

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.93-8mdv2007.0
- new macros
- xdg menu

* Fri Feb 10 2006 Gtz Waschk <waschk@mandriva.org> 0.9.93-7mdk
- fix installation

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.93-6mdk
- patch for new libnotify

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.9.93-5mdk
- rebuild for new libnotify
- use mkrel

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.9.93-4mdk
- fix buildrequires

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.93-3mdk
- depend on dbus-x11

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.93-2mdk
- update buildrequires

* Mon Nov 21 2005 Gtz Waschk <waschk@mandriva.org> 0.9.93-1mdk
- drop patch
- New release 0.9.93

* Wed Sep 21 2005 Gtz Waschk <waschk@mandriva.org> 0.9.92-3mdk
- update french translation (bug #15962)

* Tue Sep  6 2005 Gtz Waschk <waschk@mandriva.org> 0.9.92-2mdk
- drop prereq
- fix song length bug #16266

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 0.9.92-1mdk
- New release 0.9.92

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.9.91-3mdk
- fix buildrequires

* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 0.9.91-2mdk
- fix build on x86_64

* Tue Apr  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.91-1mdk
- new version

* Mon Mar 07 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.90-1mdk
- New release 0.9.90

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- register scrollkeeper files
- add new files
- New release 0.7.2

* Wed Jan 12 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Sun Jan  9 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- New release 0.7.0

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk 
- Rebuild with latest howl

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- fix buildrequires
- New release 0.6.0

* Wed Nov 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- New release 0.5.0

* Tue Nov  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- New release 0.4.0

* Sun Oct 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- fix buildrequires

* Sat Oct 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- New release 0.3.0

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- fix gconf script

* Tue Oct 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- update file list
- New release 0.2.0

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
